# Reversal

Your reversal request is processed as a cancel or refund request. This depends on the time passed after your sale request was submitted. For US entities the payment is refunded after one day after a successful sale request. Any other payment moves to refunded after 15 minutes. 
 Note: No request body is needed for this request.

Endpoint: POST /payments/sales/reversals/{linkData}
Version: 7
Security: BasicAuth

## Path parameters:

  - `linkData` (string, required)
    Action link that's received in your request.

## Header parameters:

  - `Content-Type` (string, required)
    Example: "application/vnd.worldpay.payments-v7+json"

  - `Accept` (string, required)
    Example: "application/vnd.worldpay.payments-v7+json"

## Response 202 fields (application/vnd.worldpay.payments-v7+json):

  - `_links` (object)

  - `_links.cardPayments:events` (object)
    An action link to retrieve the last event of the payment.

  - `_links.cardPayments:events.href` (string)
    An action link to retrieve the last event of the payment.
    Example: "https://try.access.worldpay-bsh.securedataplatform.com/payments/events/{linkData}"

## Response 400 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

  - `validationErrors` (array)
    Further error details

  - `validationErrors.errorName` (string)

  - `validationErrors.message` (string)

  - `validationErrors.jsonPath` (string)

## Response 401 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

## Response 404 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

## Response 415 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)

## Response 500 fields (application/vnd.worldpay.payments-v7+json):

  - `errorName` (string)

  - `message` (string)


